# we need to patch lis only for Windows


include("@CMAKE_SOURCE_DIR@/cmake_modules/CFS_macros.cmake")

assert_not_empty(@CMAKE_C_COMPILER_ID@)
assert_not_empty(@DEPS_SOURCE@)
assert_not_empty(@DEPS_INSTALL@)
set(WIN32 @WIN32@)
set(CMAKE_C_COMPILER_ID @CMAKE_C_COMPILER_ID@)

if(WIN32)
  # copy our modified Win32.Mak to <lis>/win
  # we need win32.mak from https://github.com/CristiFati/MSSDKFiles/tree/v7.1A/Include
  # see https://stackoverflow.com/questions/73159159/visual-studio-nmake-build-fails-with-fatal-error-u1052-file-win32-mak-not-fo
  # modified for NMAKE_WINVER = 0x0A00
  file(COPY @CMAKE_SOURCE_DIR@/cfsdeps/lis/Win32.Mak DESTINATION @DEPS_SOURCE@/win)
  
  # lis insits on quadmath.h even when not configured. 
  # give it a fake, we won't use the functionallity anyway.
  file(COPY @CMAKE_SOURCE_DIR@/cfsdeps/lis/quadmath.h DESTINATION @DEPS_INSTALL@/include) 

  # we just need to patch Makefile.in for cl -> clang and icl -> icx
  # but I never managed to make working patches with git because of CRLF conversion
  # hence copy the full files and make sure to repeat the patches for newer versions  
  if(CMAKE_C_COMPILER_ID MATCHES "IntelLLVM")
    file(COPY @CMAKE_SOURCE_DIR@/cfsdeps/lis/icx/Makefile.in DESTINATION @DEPS_SOURCE@/win)
  elseif(CMAKE_C_COMPILER_ID MATCHES "Clang")
    file(COPY @CMAKE_SOURCE_DIR@/cfsdeps/lis/clang/Makefile.in DESTINATION @DEPS_SOURCE@/win)
  endif()
endif() # win32


